Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming.NamingContextPackage
Class AlreadyBoundHelper

    java.lang.Object
      org.omg.CosNaming.NamingContextPackage.AlreadyBoundHelper

public abstract class AlreadyBoundHelper
extends Object

org/omg/CosNaming/NamingContextPackage/AlreadyBoundHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.1" from ../../../../src/share/classes/org/omg/CosNaming/nameservice.idl Thursday, June 12, 2003 9:59:22 PM GMT-08:00

Constructor Summary
`AlreadyBoundHelper()`

Method Summary
`static AlreadyBound` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, AlreadyBound that)`
`static AlreadyBound` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, AlreadyBound value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlreadyBoundHelper

    public AlreadyBoundHelper()

Method Detail

### insert

    public static void insert(Any a,
                              AlreadyBound that)

### extract

    public static AlreadyBound extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static AlreadyBound read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             AlreadyBound value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.